<template>
  <div class="closemsg">
    <img :src="imgSrc" alt=""/>
    <text>{{ text }}</text>
    <u-button
        type="primary"
        :custom-style="{ width: '100%', borderRadius: '4px', marginTop: '48px' }"
        @click="goBack"
    >{{ btnText }}
    </u-button
    >
    <back></back>
  </div>
</template>

<script>
import back from '../../components/AiBack'

export default {
  name: 'CloseMsg',
  components: {back},
  data() {
    return {
      flag: true
    }
  },
  onLoad(val) {
    if (val.flag) {
      this.flag = val.flag
    }
  },
  methods: {
    goBack() {
      uni.navigateBack({
        // url: `/pages/casuallyask/casuallyask`
        delta: 1
      })
    }
  },
  computed: {
    text() {
      return this.flag ? '关闭留言成功！' : '关闭留言失败'
    },
    btnText() {
      return this.flag ? '确定' : '查看详情'
    },
    imgSrc() {
      return this.$cdn + 'other/' + (this.flag ? 'kztcg.png' : 'kztsb.png')
    }
  }
}
</script>

<style lang="scss" scoped>
.closemsg {
  min-height: 100%;
  background-color: #ffffff;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 96px;

  img {
    width: 192px;
    height: 192px;
  }

  text {
    font-size: 36px;
    font-weight: 800;
    color: #333333;
    line-height: 50px;
    display: flex;
    justify-content: center;
  }
}
</style>
